Package org.postgresql.replication.fluent

# Interface ChainedCommonCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>>

All Known Subinterfaces:
  `ChainedLogicalCreateSlotBuilder`, `ChainedPhysicalCreateSlotBuilder`

All Known Implementing Classes:
  `AbstractCreateSlotBuilder`, `LogicalCreateSlotBuilder`, `PhysicalCreateSlotBuilder`

public interface ChainedCommonCreateSlotBuilder<T extends ChainedCommonCreateSlotBuilder<T>>
Fluent interface for specify common parameters for create Logical and Physical replication slot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReplicationSlotInfo`
  `make()`
  Create slot with specified parameters in database.
  `T`
  `withSlotName(String slotName)`
  Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
  `T`
  `withTemporaryOption()`
  Temporary slots are not saved to disk and are automatically dropped on error or when the session has finished.

- ## Method Details

  - ### withSlotName

    T withSlotName(String slotName)
    Replication slots provide an automated way to ensure that the master does not remove WAL segments until they have been received by all standbys, and that the master does not remove rows which could cause a recovery conflict even when the standby is disconnected.
    Parameters:
      `slotName` - not null unique replication slot name for create.
    Returns:
      T a slot builder

  - ### withTemporaryOption

    T withTemporaryOption() throws SQLFeatureNotSupportedException
    Temporary slots are not saved to disk and are automatically dropped on error or when the session has finished.

    This feature is only supported by PostgreSQL versions >= 10.

    Returns:
      T a slot builder
    Throws:
      `SQLFeatureNotSupportedException` - thrown if PostgreSQL version is less than 10.

  - ### make

    ReplicationSlotInfo make() throws SQLException
    Create slot with specified parameters in database.
    Returns:
      ReplicationSlotInfo with the information of the created slot.
    Throws:
      `SQLException` - on error